> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phanomcloud.online/llms.txt
> Use this file to discover all available pages before exploring further.

# List Files

> Lists all files in the bot's directory along with total disk usage.

## Path Parameters

<ParamField path="id" type="string" required>
  UUID of the bot.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6/files \
    -H "Authorization: Bearer sess_..."
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "data": {
      "bot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "has_files": true,
      "total_size_bytes": 102400,
      "files": [
        { "name": "index.js", "size": 4096, "type": "file" },
        { "name": "package.json", "size": 512, "type": "file" },
        { "name": "src", "type": "directory" }
      ]
    }
  }
  ```
</ResponseExample>
